using System.Security.Claims;
using Microsoft.AspNetCore.Http;
using Todo.Core.Interfaces.User;

namespace Todo.Api.Services;

public class HttpContextCurrentUserService : ICurrentUserService
{
    private readonly IHttpContextAccessor _httpContextAccessor;

    public HttpContextCurrentUserService(
        IHttpContextAccessor httpContextAccessor)
        => _httpContextAccessor = httpContextAccessor;

    public string? GetUserId() => _httpContextAccessor.HttpContext?.User.FindFirstValue("sub");
}